com.verisign.epp.codec.gen

## Class EPPLogoutCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPLogoutCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPLogoutCmd
      extends EPPCommand

  The EPP <logout> command is used to end a session with an EPP server. In addition to the standard EPP command elements, the <logout> command SHALL contain an empty <logout> command element. A server MAY also end a session asynchronously due to client inactivity or excessive client session longevity. The parameters for determining excessive client inactivity or session longevity are a matter of server policy and are not specified by this protocol.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLogoutCmd()` Default constructor for EPPLogoutCmd.
    `EPPLogoutCmd(java.lang.String aTransId)` Constructor that takes the transaction id required of all `EPPCommand`'s.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPLogoutCmd`.
    `protected void` | `doGenDecode(org.w3c.dom.Element aElement)` decode `EPPLogoutCmd` from a DOM element tree.
    `protected org.w3c.dom.Element` | `doGenEncode(org.w3c.dom.Document aDocument)` encode `EPPLoginCmd` into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLogoutCmd` compare.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPLogoutCmd`.
    `java.lang.String` | `getType()` Get the EPP command type associated with `EPPLogoutCmd`.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPLogoutCmd

          public EPPLogoutCmd()

      Default constructor for EPPLogoutCmd.

    - #### EPPLogoutCmd

          public EPPLogoutCmd(java.lang.String aTransId)

      Constructor that takes the transaction id required of all `EPPCommand`'s.
      Parameters:
        `aTransId` - Client transaction identifier

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Get the EPP command type associated with `EPPLogoutCmd`.
      Specified by:
        `getType` in class `EPPCommand`
      Returns:
        `EPPCommand.TYPE_LOGOUT`

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with `EPPLogoutCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPCodec.NS`

    - #### doGenEncode

          protected org.w3c.dom.Element doGenEncode(org.w3c.dom.Document aDocument)
                                             throws EPPEncodeException

      encode `EPPLoginCmd` into a DOM element tree. The <logout> element is created and there are currently no attribute nodes are appended as children. This method is part of the Template Design Pattern, where `EPPCommand` provides the public `encode` and calls the abstract `doGenEncode`.
      Specified by:
        `doGenEncode` in class `EPPCommand`
      Parameters:
        `aDocument` - DOM Document to create elements from
      Returns:
        <logout> root element tree.
      Throws:
        `EPPEncodeException` - Error encoding the DOM element tree.

    - #### doGenDecode

          protected void doGenDecode(org.w3c.dom.Element aElement)
                              throws EPPDecodeException

      decode `EPPLogoutCmd` from a DOM element tree. The "logout" element needs to be the value of the `aElement` argument. This method is part of the Template Design Pattern, where `EPPCommand` provides the public `decode` and calls the abstract `doGenDecode`.
      Specified by:
        `doGenDecode` in class `EPPCommand`
      Parameters:
        `aElement` - <logout> root element tree.
      Throws:
        `EPPDecodeException` - Error decoding the DOM element tree.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPLogoutCmd` compare.
      Overrides:
        `equals` in class `EPPCommand`
      Parameters:
        `aObject` - `EPPLogoutCmd` instance to compare with
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPLogoutCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPLogoutCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.